#!/bin/sh -f

if [ $# -lt 2 ]; then
    echo -e 1>&2 "Usage: $0 [-port <port number>]\n"
    echo -e "Codex Support Will Indicate Which Port To Use\n"
    exit -1
fi

case "$1" in
    -port)
        Port_Number=$2
        shift
        ;;
    *)
        echo -en '\E[31m'"\033[3mError: Unknown Option $1\033[0m\n"
        exit -2
        ;;
esac


clear
/bin/ping -c 2 193.203.87.123 > /dev/null 2>&1
if [ ! "$?" -eq 0 ] ; then
    echo -en '\E[31m'"\033[3mError: can't communicate with Codex Server\033[0m\n\n"
    echo -en  '\E[33m'"\033[3mIs the default gateway set?\033[0m\n"
    echo -en  '\E[33m'"\033[3mroute add default gw your.ip.addre.ss\033[0m\n"
else
    echo -en '\E[32m'"\033[4mEstablishing Tunnel\033[0m\n"
    echo "Enter kipper5 for password"
    /usr/bin/ssh remotecodex@193.203.87.123 -R $Port_Number:localhost:22
fi
