#/bin/sh

configureTapeDrive()
{
    echo $1 > ./x.tmp
    CONFIGDETAILSFILE=/var/log/config`sed 's/\//_/g' ./x.tmp`.lst
    rm ./x.tmp
    echo $1 config > $CONFIGDETAILSFILE
    echo `date` >> $CONFIGDETAILSFILE

    # Resetting TLR bit on tape device $TAPE_DEV
    sg_wr_mode --contents=18,06,06,00,00,00,00,00 -d -p18 $1
    echo reset TLR bit >> $CONFIGDETAILSFILE
}

if `sg_map | grep nst0 > /dev/null`; then

    # Wait for drserver to power up internal tape drives if attached
    sleep 10

    configureTapeDrive /dev/nst0

    if `sg_map | grep nst1 > /dev/null`; then
        configureTapeDrive /dev/nst1
    fi
fi

